BT

如何利用碎片时间提升技术认知与能力? 点击获取答案

RubyGems近况:发布针对Ruby 1.9的RubyGems 1.5,Gem Testers

| 作者 Mirko Stocker 关注 0 他的粉丝 ,译者 丁雪丰 关注 3 他的粉丝 发布于 2011年2月15日. 估计阅读时间: 2 分钟 | 如何结合区块链技术,帮助企业降本增效?让我们深度了解几个成功的案例。

最近发布的RubyGems修正了在Ruby​ 1.9.2中的一些问题(详见Eric Hodel的博客),让它能够安全升级。​官方的RubyGems 1.5版里现在包含了Ruby 1.9的RubyGems发行包中的所有变更​。RubyGems的Ryan Davis写到:​

在rubygems v1.3.7和ruby_1_9的rubygems 1.3.7+的diff中,我们尽可能地选择合并了大约1700行代码​回我们的主干上。​

他指出,在不久的将来,RubyGems的Ruby 1.9发行版应该和官方发行版完全一致,不再从官方代码基线上派生分支,这样就能避免合并的麻烦了。​

Ruby那为数众多的实现通常被认为是件好事,但对于Gem的开发者,要对Ruby实现、版本和平台的所有组合​进行测试几乎是不可能的。​

Gem TestersJosiah KiehlErik Hollensbe的一个新项目​,它允许用户轻松执行Gem的测试,将输出的内容报告给gem-testers.org的一个中心数据库​。声明中说道:

rubygems-test是一个Rubygems插件,它会自动运行安装过的指定gem的测试套件​。​随后,测试的输出被收集起来,连同详细机器配置​(Ruby版本、机器架构等等​)一起发表到gem-testers.org上。​

Gem-testers.org是测试数据的一个中心仓库。测试结果主要是根据Ruby版本和操作系统来组织的。如果gem的用户​希望了解某个gem是否能在他们的机器上运行,那么​他们很快就能看到。要是应用程序需要大量读入Gem Testers的测试结果,它还提供了RSS Feed和JSON应答​。​

举例来说,查看一下hoe Gem的兼容性矩阵,​我们可以看到它能运行在Ruby 1.8.7和1.9.2上,操作系统是OS X和Linux,而Ruby 1.9.1的测试失败了。​

为了让Gem Tester取得成功,当然需要尽可能多的Gem开发者和用户参与其中,分享他们的测试结果。因此,请花点时间安装rubygems-test插件:​

gem install rubygems-test

查看英文原文:RubyGems Roundup: Release 1.5 for Ruby 1.9 and Gem Testers

评价本文

专业度
风格

您好,朋友!

您需要 注册一个InfoQ账号 或者 才能进行评论。在您完成注册后还需要进行一些设置。

获得来自InfoQ的更多体验。

告诉我们您的想法

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我
社区评论

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

讨论

登陆InfoQ,与你最关心的话题互动。


找回密码....

Follow

关注你最喜爱的话题和作者

快速浏览网站内你所感兴趣话题的精选内容。

Like

内容自由定制

选择想要阅读的主题和喜爱的作者定制自己的新闻源。

Notifications

获取更新

设置通知机制以获取内容更新对您而言是否重要

BT